from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Boolean, Int

Idposteriorerrorprobability_V0_1_0 = CommandToolBuilder(tool="IDPosteriorErrorProbability", base_command=["IDPosteriorErrorProbability"], inputs=[ToolInput(tag="in_in", input_type=File(optional=True), prefix="-in", doc=InputDocumentation(doc="*        Input file  (valid formats: 'idXML')")), ToolInput(tag="in_out", input_type=File(optional=True), prefix="-out", doc=InputDocumentation(doc="*       Output file  (valid formats: 'idXML')")), ToolInput(tag="in_out_plot", input_type=File(optional=True), prefix="-out_plot", doc=InputDocumentation(doc="Txt file (if gnuplot is available, a corresponding PDF will be created as well.) (valid formats: 'txt')")), ToolInput(tag="in_split_charge", input_type=Boolean(optional=True), prefix="-split_charge", doc=InputDocumentation(doc="The search engine scores are split by charge if this flag is set. Thus, for each charge state a new model will be computed.")), ToolInput(tag="in_top_hits_only", input_type=Boolean(optional=True), prefix="-top_hits_only", doc=InputDocumentation(doc="If set only the top hits of every PeptideIdentification will be used")), ToolInput(tag="in_ignore_bad_data", input_type=Boolean(optional=True), prefix="-ignore_bad_data", doc=InputDocumentation(doc="If set errors will be written but ignored. Useful for pipelines with many datasets where only a few are bad, but the pipeline should run through.")), ToolInput(tag="in_prob_correct", input_type=Boolean(optional=True), prefix="-prob_correct", doc=InputDocumentation(doc="If set scores will be calculated as '1 - ErrorProbabilities' and can be interpreted as probabilities for correct identifications.")), ToolInput(tag="in_ini", input_type=File(optional=True), prefix="-ini", doc=InputDocumentation(doc="Use the given TOPP INI file")), ToolInput(tag="in_threads", input_type=Int(optional=True), prefix="-threads", doc=InputDocumentation(doc="Sets the number of threads allowed to be used by the TOPP tool (default: '1')")), ToolInput(tag="in_write_ini", input_type=File(optional=True), prefix="-write_ini", doc=InputDocumentation(doc="Writes the default configuration file")), ToolInput(tag="in_helphelp", input_type=Boolean(optional=True), prefix="--helphelp", doc=InputDocumentation(doc="Shows all options (including advanced)"))], outputs=[ToolOutput(tag="out_out", output_type=File(optional=True), selector=InputSelector(input_to_select="in_out", type_hint=File()), doc=OutputDocumentation(doc="*       Output file  (valid formats: 'idXML')"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Idposteriorerrorprobability_V0_1_0().translate("wdl", allow_empty_container=True)

